=== requirements.txt ===
aiohttp<4.0
amqtt>=0.10.0,<0.11.0
certifi
geopy>=1.14.0
docopt
