=== debian/changelog ===
python-volvooncall (0.10.4-2) unstable; urgency=medium

  * Run tests in test_main.py.
  * The asynctest library is unmaintained, patch tests to use unittest.mock
    instead.
  * Add python3-pytest-asyncio as build dependency.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Dec 2025 09:22:32 +0000

python-volvooncall (0.10.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1120618)

 -- Edward Betts <edward@4angle.com>  Thu, 13 Nov 2025 12:17:08 +0000
