=== debian/control ===
Source: python-volvooncall
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 amqtt <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-certifi <!nocheck>,
 python3-docopt <!nocheck>,
 python3-geopy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/molobrakos/volvooncall
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-volvooncall
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-volvooncall.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-volvooncall
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for communicating with Volvo Cars cloud service
 This library provides access to the Volvo Cars cloud service (formerly known
 as Volvo On Call), allowing retrieval and monitoring of vehicle status and
 statistics for Volvo vehicles with connected services. Supported features
 include fetching data on vehicle position, door and window status, lock state,
 heater activation, odometer and trip meters, fuel level, distance to empty,
 battery charge information for electric or hybrid vehicles, fluid levels, tyre
 pressure, service warnings, and engine status. The library also supports
 reporting information via MQTT for integration with home automation systems.
 Communication is performed with the Volvo Cars online endpoints using
 authenticated requests.
 .
 Multiple vehicles can be managed by specifying their unique VINs or
 registration numbers, with region-specific service endpoints also supported.
 The library is suitable for periodic polling to collect updates on vehicle
 state, which can be further processed or visualised as needed. Information is
 accessed from the Volvo Cars App cloud infrastructure.
