=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=test_main.py
%:
	dh $@ --buildsystem=pybuild
